<?php
/* ==============================================
  Try to remove default template
=============================================== */
add_filter( 'vc_load_default_templates', 'livesay_template_modify_array' );
function livesay_template_modify_array($data) {
    return array(); // This will remove all default templates
}

/* ==============================================
  Create Custom Template in Visual Composer
=============================================== */
/* About Page */
if( ! function_exists( 'about_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'about_page_template' );
  function about_page_template($data) {
    $template               = array();
    $template['name']       = __( 'About Page', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1500629705013{background-color: #ffffff !important;}"][vc_column][livesay_conference conference_style="livesay-conference-two" conference_event="937" conference_image="1393" img_align="right" ticket_txt="Join Now" ticket_link="http://victorthemes.com/themes/livesay/event/2018-annul-conferenceinspired-ux-design/" open_link="" class="conference-spacer-two"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1500884267515{background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background1.png?id=367) !important;}"][vc_column css=".vc_custom_1500884277495{padding-top: 0px !important;}"][livesay_conference conference_style="livesay-conference-four" conference_event="929" cfrce_title="Our Event Starts In" ticket_txt="Buy Tickets Now" ticket_link="http://victorthemes.com/themes/livesay/buy-ticket/" open_link=""][/vc_column][/vc_row][vc_row overlay_dotted=""][vc_column][livesay_section_title section_title="Our Team Members" section_sub_title="We are bringing the finest industry experts to speak" css=".vc_custom_1501063352399{padding-top: 60px !important;}"][livesay_speaker speaker_column="col-md-3 col-sm-6" speaker_limit="8" speaker_pagination="" speaker_social_icon="true"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1502283508391{background-color: #ffffff !important;}"][vc_column][livesay_section_title section_title="Conference sopnsors" section_sub_title="Backbone for turned our responsible events to successful event" css=".vc_custom_1501162376056{padding-top: 60px !important;}"][livesay_sponsors sponsor_style="style_two" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][livesay_sponsors sponsor_style="style_two" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Buy Ticket */
if( ! function_exists( 'buy_ticket_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'buy_ticket_page_template' );
  function buy_ticket_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Buy Ticket', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted=""][vc_column][livesay_section_title section_title="Buy Ticket And Join Now" title_size="20px" css=".vc_custom_1501163675429{padding-bottom: 30px !important;}"][/vc_column][/vc_row][vc_row overlay_dotted=""][vc_column width="1/2"][livesay_pricing plan_title="Bronze Pass" price_caption="One Day Ticket" price="35" price_in="$" btn_text="Buy Ticket" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20drinks%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][/vc_column][vc_column width="1/2"][livesay_pricing plan_title="Silver Pass" price_caption="Two Day Ticket" price="55" price_in="$" btn_text="Buy Ticket" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20drinks%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][/vc_column][/vc_row][vc_row overlay_dotted=""][vc_column width="1/2"][livesay_pricing plan_title="Golden Pass" price_caption="One Day Ticket" price="95" price_in="$" btn_text="Buy Ticket" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20drinks%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][/vc_column][vc_column width="1/2"][livesay_pricing plan_title="Platinum Pass" price_caption="One Day Ticket" price="105" price_in="$" btn_text="Buy Ticket" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20drinks%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%2C%22feature_avail%22%3A%22true%22%7D%5D"][/vc_column][/vc_row][vc_row overlay_dotted=""][vc_column][vc_column_text css=".vc_custom_1501843452547{margin-bottom: 15px !important;padding-top: 10px !important;}" el_class="additional-pricing"]
<p style="text-align: center;">Need additional <a href="http://victorthemes.com/themes/livesay/event/innovative-with-experience-tech-2017/">pricing info</a>? Get in touch for custom and high-volume pricing.</p>
[/vc_column_text][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Contact Page */
if( ! function_exists( 'contact_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'contact_page_template' );
  function contact_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Contact Page', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row_content" overlay_dotted=""][vc_column][lvsy_gmap gmap_api="AIzaSyAaZs_RUszj6yVVvZeghtqnnfyETItwb0U" gmap_type="ROADMAP" gmap_style="gray-scale" gmap_height="500px" gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%22latitude%22%3A%2240.712784%22%2C%22longitude%22%3A%22%20-74.005941%22%7D%5D"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1502177558666{padding-top: 92px !important;}"][vc_column width="1/2"][vc_custom_heading text="LEAVE A COMMENT" font_container="tag:h3|font_size:24|text_align:left" google_fonts="font_family:Ubuntu%3A300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic|font_style:700%20bold%20regular%3A700%3Anormal" css=".vc_custom_1500631644685{padding-bottom: 15px !important;}"][lvsy_contact id="661"][/vc_column][vc_column width="1/2" css=".vc_custom_1499506818070{padding-left: 38px !important;}"][vc_custom_heading text="GET IN TOUCH" font_container="tag:h3|font_size:24|text_align:left" google_fonts="font_family:Ubuntu%3A300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic|font_style:700%20bold%20regular%3A700%3Anormal"][vc_empty_space][vc_single_image image="892" img_size="105x19"][vc_column_text][vt_contact_lists][vt_contact_list title="124 New Design Street, Melbourne 005,
Australia."][vt_contact_list title="T" text="+1 (800) 433 544" text_link="#0"][vt_contact_list title="E" text="hello@victorthemes.com" text_link="#0"][/vt_contact_lists]
[vt_simple_link link_style="link-underline" link_text="Go to Website" link="http://victorthemes.com/themes/livesay" text_hover_color="#f30c74" custom_class="cus"][/vc_column_text][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home Page One */
if( ! function_exists( 'home_page_one_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_page_one_template' );
  function home_page_one_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Page One', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][vc_custom_heading text="About Our Conference" font_container="tag:h3|font_size:18|text_align:center|color:%23f30c74" google_fonts="font_family:Ubuntu%3A300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic|font_style:400%20regular%3A400%3Anormal"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500991771099{padding-top: 0px !important;padding-bottom: 0px !important;}"][vc_column css=".vc_custom_1500991753349{padding-top: 0px !important;padding-bottom: 0px !important;}"][livesay_conference conference_style="livesay-conference-one" conference_event="943" ticket_txt="Buy Ticket Now" ticket_link="http://victorthemes.com/themes/livesay/buy-ticket/" open_link=""][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" overlay_dotted="" css=".vc_custom_1500635925605{padding-right: 0px !important;padding-left: 0px !important;background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background1.png?id=367) !important;}"][vc_column][livesay_section_title section_title="KEYNOTE SPEAKERS" title_color="#ffffff" css=".vc_custom_1501043265684{padding-top: 25px !important;}"][livesay_speaker speaker_style="style_two" speaker_column="col-md-3 col-sm-6" speaker_limit="4" speaker_pagination="" speaker_social_icon="true"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1501155412721{padding-top: 60px !important;padding-bottom: 100px !important;}"][vc_column][livesay_templates select_template="Home One Schedule"][/vc_column][/vc_row][vc_row full_width="stretch_row_content" overlay_dotted="" css=".vc_custom_1501154331574{margin-bottom: 50px !important;padding-top: 0px !important;background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background2.png?id=482) !important;}"][vc_column css=".vc_custom_1500437631005{padding-top: 0px !important;}"][lvsy_ctas][lvsy_cta content_width="70%" cta_title="ARE YOU READY TO JOINING OUR PROGRAM" cta_sub_title="We are here for joining all hands for revolutionary Events"][lvsy_button button_text="Know More" button_link="http://victorthemes.com/themes/livesay/event/technology-and-web-conferece-2016/" align_right="true" open_link="" simple_hover="true" btn_bg_hover_color="#2a2a33"][/lvsy_ctas][/vc_column][/vc_row][vc_row][vc_column][livesay_section_title section_title="Event Gallery" section_sub_title="Our Successive Event &amp; Conference for you" css=".vc_custom_1501669964130{padding-top: 10px !important;}"][livesay_gallery_masonry livesay_gallery_masonry_column="col-md-4 col-sm-6" livesay_gallery_masonry_items="%5B%7B%22gallery_img%22%3A%22159%22%2C%22img_title%22%3A%22Conference%20On%20Advance%20Computing%20-%202017%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%2C%7B%22gallery_img%22%3A%22161%22%2C%22img_title%22%3A%22World%20Economic%20Conference%20-%202016%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%2C%7B%22gallery_img%22%3A%22161%22%2C%22img_title%22%3A%22Robotics%20Into%20Next%20Level%20-%202016%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%23%22%7D%2C%7B%22gallery_img%22%3A%22161%22%2C%22img_title%22%3A%22Vintage%20Books%20Expo%20-%202017%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%2C%7B%22gallery_img%22%3A%22161%22%2C%22img_title%22%3A%22Securing%20the%20Data%20from%20Hacking%20-%202015%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%5D"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500906339553{padding-bottom: 60px !important;}"][vc_column][livesay_section_title section_title="Conference Sponsors" section_sub_title="Backbone for our responsible events become successful event" css=".vc_custom_1501160688947{padding-top: 80px !important;padding-bottom: 35px !important;}"][vc_row_inner css=".vc_custom_1501045897001{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="Platinum Sponsor" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D" title_size="18PX"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1501045940374{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="Golden Sponsors" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1501045978158{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="Silver Sponsors" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501160158041{padding-bottom: 30px !important;background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background1.png?id=367) !important;}"][vc_column css=".vc_custom_1500906680488{padding-top: 0px !important;padding-bottom: 0px !important;}"][vc_custom_heading text="ACCOMODATION INFO" font_container="tag:h2|font_size:24px|text_align:left|color:%23ffffff|line_height:24px" use_theme_fonts="yes" css=".vc_custom_1501046077115{margin-top: 100px !important;}"][livesay_accommodation accommodation_items="%5B%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22GENTLE%20VEIL%20HOTEL%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%201%3A00%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20300%24%20%2F%20Per%20Day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fwellingtonhotel.com%2F%3Fgclid%3DEAIaIQobChMItMnmzfqy1QIVHAUqCh3LQQWGEAMYASAAEgJ3h_D_BwE%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22ROAD%20SAN%20FRANCISCO%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%200.50%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%20%3A%20150%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fwww.fairmont.com%2Fthe-plaza-new-york%2F%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22BELMONT%20LOWER%20HUTT%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%201.00%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20200%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fwww.harborcourthotel.com%2F%3Fgclid%3DCMDmhKLVq9UCFRMEaAod7HQGbg%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22GENTLE%20VEIL%20HOTEL%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%202.40%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20150%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fhoteldrisco.com%2F%3Fgclid%3DEAIaIQobChMIodOlndWr1QIVyol-Ch0hcQ4TEAAYAiAAEgKzufD_BwE%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22ROAD%20SAN%20FRANCISCO%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%200.50%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20150%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22https%3A%2F%2Fwww.omnihotels.com%2Fhotels%2Fsan-francisco%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22BELMONT%20LOWER%20HUTT%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%201.00%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20270%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%20%22%2C%22website_link%22%3A%22http%3A%2F%2Fwww.harborcourthotel.com%2F%3Fgclid%3DCMDmhKLVq9UCFRMEaAod7HQGbg%22%7D%5D" slick_carousel="true" slick_loop="true" slick_items="3" slick_nav="true" slick_autoplay="true" slick_autoplay_timeout="1"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1502178204887{padding-top: 65px !important;}"][vc_column][lvsy_gmap gmap_api="AIzaSyAaZs_RUszj6yVVvZeghtqnnfyETItwb0U" gmap_type="ROADMAP" gmap_style="gray-scale" gmap_height="450" gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%22latitude%22%3A%2240.712784%22%2C%22longitude%22%3A%22%20-74.005941%22%7D%5D"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1501669834660{padding-top: 80px !important;}"][vc_column][livesay_templates select_template="Travel Info"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home Page Two */
if( ! function_exists( 'home_page_two_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_page_two_template' );
  function home_page_two_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Page Two', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1500891780967{padding-bottom: -10px !important;background-color: #ffffff !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column css=".vc_custom_1501138269264{padding-top: 0px !important;}"][livesay_conference conference_style="livesay-conference-two" conference_event="937" conference_image="791" ticket_txt="BUY TICKET" ticket_link="http://victorthemes.com/themes/livesay/buy-ticket/" open_link="true"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501046370331{padding-top: 0px !important;background-color: #f4f4f4 !important;}"][vc_column width="1/4" css=".vc_custom_1501046461609{padding-top: 0px !important;}"][lvsy_services open_link="" service_image="340" service_title="SPEAKERS" read_more_link="http://victorthemes.com/themes/livesay/speakers/" read_more_title="LEARN MORE" img_width="62px" title_color="#222222" title_hover_color="#f30c74" title_size="14" content_size="16" readmore_size="13"]The right keynote speaker something special to your event.[/lvsy_services][/vc_column][vc_column width="1/4" css=".vc_custom_1501046544525{padding-top: 0px !important;}"][lvsy_services open_link="true" service_image="340" service_title="NEW TOPICS" read_more_link="http://victorthemes.com/themes/livesay/event/" read_more_title="LEARN MORE" img_width="62px" title_color="#222222" title_hover_color="#f30c74" title_size="14" content_size="16" readmore_size="13"]Topics are most important to strive audience mind[/lvsy_services][/vc_column][vc_column width="1/4" css=".vc_custom_1501046569552{padding-top: 0px !important;}"][lvsy_services open_link="" service_image="340" service_title="WORKSHOPS" read_more_link="http://victorthemes.com/themes/livesay/past-events/" read_more_title="LEARN MORE" img_width="62px" title_color="#222222" title_hover_color="#f30c74" title_size="14" content_size="16" readmore_size="13"]Place where manual or light industrial work is done.[/lvsy_services][/vc_column][vc_column width="1/4" css=".vc_custom_1501046593723{padding-top: 0px !important;}"][lvsy_services open_link="" service_image="340" service_title="EXHIBITIONS" read_more_link="http://victorthemes.com/themes/livesay/gallery/" read_more_title="LEARN MORE" img_width="62px" title_color="#222222" title_hover_color="#f30c74" title_size="14" content_size="16" readmore_size="13"]A public display of works of art or items of interest.[/lvsy_services][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501048551937{padding-top: 40px !important;padding-bottom: 70px !important;background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background1.png?id=367) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column][livesay_section_title section_title="Keynote Speakers" section_sub_title="We are bringing the finest industry experts to speak" title_color="#ffffff" sub_title_color="#aaaaaa"][livesay_speaker speaker_column="col-md-3 col-sm-6" speaker_limit="8" speaker_order="DESC" speaker_pagination="" speaker_social_icon="true"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1501159095027{margin-bottom: 100px !important;padding-top: 60px !important;}"][vc_column][livesay_templates select_template="Home Two Schedule"][/vc_column][/vc_row][vc_row full_width="stretch_row" equal_height="yes" parallax="content-moving" parallax_image="1393" parallax_speed_bg="2.5" overlay_dotted="" css=".vc_custom_1502288372439{padding-top: 62px !important;padding-bottom: 62px !important;}"][vc_column][livesay_section_title section_title="Sign Up For Newsletter" title_color="#ffffff" css=".vc_custom_1501245489803{margin-bottom: 0px !important;padding-bottom: 0px !important;}"][vc_custom_heading text="Sign up to receive email updates about the event" font_container="tag:h2|font_size:18px|text_align:center|color:%23ffffff|line_height:20px" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:400%20italic%3A400%3Aitalic" css=".vc_custom_1501488981435{padding-top: 0px !important;padding-bottom: 20px !important;}"][vc_column_text][mc4wp_form id="1177"][/vc_column_text][/vc_column][/vc_row][vc_row overlay_dotted=""][vc_column][livesay_section_title section_title="Buy Ticket And Join Now" css=".vc_custom_1501049093520{margin-bottom: 35px !important;padding-top: 60px !important;padding-bottom: 0px !important;}"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500275213078{margin-top: -40px !important;}"][vc_column width="1/2"][livesay_pricing plan_title="Bronze Pass" price_caption="One Day Ticket" price="35" price_in="$" btn_text="Buy Ticket" btn_link="http://victorthemes.com/themes/livesay/event/2018-annul-conferenceinspired-ux-design/" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20coffee%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][livesay_pricing plan_title="Golden Pass" price_caption="One Day Ticket" price="95" price_in="$" btn_text="Buy Ticket" btn_link="http://victorthemes.com/themes/livesay/event/smart-expo-2017/" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20coffee%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][/vc_column][vc_column width="1/2"][livesay_pricing plan_title="Silver Pass" price_caption="One Day Ticket" price="55" price_in="$" btn_text="Buy Ticket" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20coffee%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][livesay_pricing plan_title="Platinum Pass" price_caption="One Day Ticket" price="105" price_in="$" btn_text="Buy Ticket" btn_link="http://victorthemes.com/themes/livesay/event/business-fest-2017/" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20coffee%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%2C%22feature_avail%22%3A%22true%22%7D%5D"][/vc_column][/vc_row][vc_row][vc_column][vc_column_text css=".vc_custom_1501840562184{margin-bottom: 0px !important;padding-top: 10px !important;padding-bottom: 30px !important;}" el_class="additional-pricing"]
<p style="text-align: center;">Need additional <a href="http://victorthemes.com/themes/livesay/buy-ticket/">pricing info</a>? Get in touch for custom and high-volume pricing.</p>
[/vc_column_text][vc_separator][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1501160760173{padding-top: 60px !important;padding-bottom: 80px !important;}"][vc_column][livesay_section_title section_title="Conference Sponsors" section_sub_title="Backbone for our responsible events become successful event" css=".vc_custom_1501160599692{padding-bottom: 35px !important;}"][vc_row_inner css=".vc_custom_1501049766981{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="PLATINUM SPONSORS" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1501049826594{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="GOLDEN SPONSORS" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1501049858171{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="SILVER SPONSORS" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501160841531{padding-top: 100px !important;padding-bottom: 80px !important;background-color: #f4f4f4 !important;}"][vc_column css=".vc_custom_1501050287418{padding-top: 0px !important;}"][livesay_section_title section_title="Our News Updates" section_sub_title="Deliver current events to audience from our side."][lvsy_blog blog_limit="3" blog_date="" blog_author="" blog_pagination=""][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1502178392653{padding-top: 65px !important;padding-bottom: 80px !important;}"][vc_column][lvsy_gmap gmap_api="AIzaSyAaZs_RUszj6yVVvZeghtqnnfyETItwb0U" gmap_type="ROADMAP" gmap_style="gray-scale" gmap_height="450" gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%22latitude%22%3A%2240.712784%22%2C%22longitude%22%3A%22%20-74.005941%22%7D%5D" style="``border: 0``;" src="``https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d4013436.3643496064!2d78.2885026!3d10.78283645!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sin!4v1501564123658``" width="``600``" height="``450``" frameborder="``0``"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500894682696{margin-bottom: 0px !important;}"][vc_column][livesay_templates select_template="Travel Info"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home Page Three */
if( ! function_exists( 'home_three_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_three_page_template' );
  function home_three_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Page Three', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501055924601{background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background1.png?id=367) !important;}"][vc_column css=".vc_custom_1501056754572{padding-top: 0px !important;}"][livesay_conference conference_style="livesay-conference-three" conference_event="114" title_caption="Where The Business World Meets" ticket_txt="Buy Ticket" ticket_link="http://victorthemes.com/themes/livesay/buy-ticket/" open_link=""][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501054256363{padding-top: 60px !important;padding-bottom: 60px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column][livesay_section_title section_title="Keynote Speakers" section_sub_title="We are bringing the finest industry experts to speak"][livesay_speaker speaker_style="style_three" speaker_column="col-md-3 col-sm-6" speaker_limit="8" speaker_order="DESC" speaker_pagination="" speaker_social_icon="true"][/vc_column][/vc_row][vc_row full_width="stretch_row" equal_height="yes" parallax="content-moving" parallax_image="1393" parallax_speed_bg="2.5" overlay_dotted="" css=".vc_custom_1502288292868{padding-top: 80px !important;padding-bottom: 80px !important;}"][vc_column][livesay_section_title section_title="Sign Up For Newsletter" title_color="#ffffff" css=".vc_custom_1501245489803{margin-bottom: 0px !important;padding-bottom: 0px !important;}"][vc_custom_heading text="Sign up to receive email updates about the event" font_container="tag:h2|font_size:18px|text_align:center|color:%23ffffff|line_height:20px" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:400%20italic%3A400%3Aitalic" css=".vc_custom_1501488981435{padding-top: 0px !important;padding-bottom: 20px !important;}"][vc_column_text][mc4wp_form id="1177"][/vc_column_text][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1501159204353{padding-top: 60px !important;padding-bottom: 80px !important;}"][vc_column][livesay_templates select_template="Home Three Schedule"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501055044385{background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background2.png?id=482) !important;}"][vc_column css=".vc_custom_1501055086463{padding-top: 0px !important;}"][lvsy_ctas][lvsy_cta content_width="70%" cta_title="ARE YOU READY JOING OUR EVENT PROGRAMS ?" cta_sub_title="We are here for joining all hands for revolutionary Events"][lvsy_button button_text="Know more" button_link="http://victorthemes.com/themes/livesay/event/" align_right="true" open_link="" simple_hover=""][/lvsy_ctas][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1501056933309{padding-top: 50px !important;}"][vc_column][livesay_section_title section_title="Event Gallery" section_sub_title="Make a Wonderful Conference Event" css=".vc_custom_1501228433890{padding-top: 10px !important;}"][livesay_gallery_masonry livesay_gallery_masonry_column="col-md-4 col-sm-6" livesay_gallery_masonry_items="%5B%7B%22gallery_img%22%3A%22159%22%2C%22img_title%22%3A%22Conference%20On%20Advance%20Computing%20-%202017%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%2C%7B%22gallery_img%22%3A%22161%22%2C%22img_title%22%3A%22World%20Economic%20Conference%20-%202016%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%2C%7B%22gallery_img%22%3A%22161%22%2C%22img_title%22%3A%22Robotics%20Into%20Next%20Level%20-%202016%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%2C%7B%22gallery_img%22%3A%22161%22%2C%22img_title%22%3A%22Vintage%20Books%20Expo%20-%202017%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%2C%7B%22gallery_img%22%3A%22161%22%2C%22img_title%22%3A%22Securing%20the%20Data%20from%20Hacking%20-%202015%22%2C%22gallery_masonry_link%22%3A%22custom_link%22%2C%22img_title_link%22%3A%22%230%22%7D%5D"][vc_separator css=".vc_custom_1501161151209{padding-top: 65px !important;}"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1500033567995{background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column][livesay_section_title section_title="Buy Ticket And Join Now" css=".vc_custom_1501057028663{padding-top: 10px !important;}"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500028148478{padding-bottom: -140px !important;}"][vc_column width="1/3" css=".vc_custom_1501161554321{padding-top: 0px !important;}"][livesay_pricing pricing_style="style_two" plan_title="Bronze Pass" price_caption="month" price="35" price_in="$" btn_text="Buy Ticket" btn_link="http://victorthemes.com/themes/livesay/event/smart-expo-2017/" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20coffee%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][/vc_column][vc_column width="1/3" css=".vc_custom_1501161569867{padding-top: 0px !important;}"][livesay_pricing pricing_style="style_two" plan_title="Silver Pass" price_caption="month" price="45" price_in="$" btn_text="Buy Ticket" btn_link="http://victorthemes.com/themes/livesay/event/business-fest-2017/" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20coffee%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][/vc_column][vc_column width="1/3" css=".vc_custom_1501161584405{padding-top: 0px !important;}"][livesay_pricing pricing_style="style_two" plan_title="Golden Pass" price_caption="Month" price="65" price_in="$" btn_text="Buy Ticket" btn_link="http://victorthemes.com/themes/livesay/event/innovative-with-experience-tech-2017/" pricing_features="%5B%7B%22title%22%3A%22One%20day%20access%22%2C%22feature_avail%22%3A%22true%22%7D%2C%7B%22title%22%3A%22Free%20Swags%22%7D%2C%7B%22title%22%3A%22Free%20lunch%20%26%20coffee%22%7D%2C%7B%22title%22%3A%22Free%20wifi%20In%20Hall%22%7D%5D"][/vc_column][vc_column css=".vc_custom_1501057244641{padding-top: 0px !important;}"][vc_column_text css=".vc_custom_1501672143738{margin-bottom: 15px !important;padding-top: 0px !important;padding-bottom: 60px !important;}" el_class="additional-pricing"]
<p style="text-align: center;">Need additional <a href="http://victorthemes.com/themes/livesay/buy-ticket/">pricing info</a>? Get in touch for custom and high-volume pricing.</p>
[/vc_column_text][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501057514065{padding-top: 60px !important;padding-bottom: 50px !important;background-color: #f4f4f4 !important;}"][vc_column][livesay_section_title section_title="Conference Sponsors" section_sub_title="Backbone for our responsible events become successful event" css=".vc_custom_1501672231977{margin-bottom: 22px !important;padding-bottom: 0px !important;}"][vc_row_inner][vc_column_inner][livesay_sponsors sponsor_style="style_two" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][livesay_sponsors sponsor_style="style_two" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501161785186{padding-bottom: 30px !important;background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background1.png?id=367) !important;}"][vc_column css=".vc_custom_1501058540658{padding-top: 100px !important;}"][vc_custom_heading text="ACCOMODATION INFO" font_container="tag:h2|font_size:24px|text_align:left|color:%23ffffff" google_fonts="font_family:Ubuntu%3A300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic|font_style:500%20bold%20regular%3A500%3Anormal"][livesay_accommodation accommodation_items="%5B%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22GENTLE%20VEIL%20HOTEL%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20Venue%3A%201%3A00%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20300%24%20%2F%20Per%20Day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fwellingtonhotel.com%2F%3Fgclid%3DEAIaIQobChMItMnmzfqy1QIVHAUqCh3LQQWGEAMYASAAEgJ3h_D_BwE%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22ROAD%20SAN%20FRANCISCO%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20Venue%3A%200.50%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20150%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fwww.fairmont.com%2Fthe-plaza-new-york%2F%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22BELMONT%20LOWER%20HUTT%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20Venue%3A%201.00%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20200%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fwww.harborcourthotel.com%2F%3Fgclid%3DCMDmhKLVq9UCFRMEaAod7HQGbg%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22GENTLE%20VEIL%20HOTEL%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20Venue%3A%203.10%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20150%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fhoteldrisco.com%2F%3Fgclid%3DEAIaIQobChMIodOlndWr1QIVyol-Ch0hcQ4TEAAYAiAAEgKzufD_BwE%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22ROAD%20SAN%20FRANCISCO%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20Venue%3A%200.50%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20150%24%20%20%2Fper%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22https%3A%2F%2Fwww.omnihotels.com%2Fhotels%2Fsan-francisco%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22BELMONT%20LOWER%20HUTT%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20Venue%3A%201.00%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20270%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%20%22%2C%22website_link%22%3A%22http%3A%2F%2Fwww.harborcourthotel.com%2F%3Fgclid%3DCMDmhKLVq9UCFRMEaAod7HQGbg%22%7D%5D" slick_carousel="true" slick_nav="true"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1502178047118{padding-top: 65px !important;padding-bottom: 80px !important;}"][vc_column][lvsy_gmap gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%7D%5D"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1501489968311{padding-bottom: 100px !important;}"][vc_column][livesay_templates select_template="Travel Info"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1501161873144{padding-top: 60px !important;padding-bottom: 70px !important;background-color: #f4f4f4 !important;}"][vc_column][livesay_section_title section_title="Our News Update" section_sub_title="Deliver current events to audience from our side"][lvsy_blog blog_limit="3" blog_date="" blog_author="" blog_pagination=""][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1501565351492{padding-top: 60px !important;}"][vc_column][livesay_section_title section_title="Send as a message" section_sub_title="If you have any questions about the event, please contact us directly.
We will respond for sure."][lvsy_contact id="1824" box_style="contact-box-one"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Past Events */
if( ! function_exists( 'past_events_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'past_events_page_template' );
  function past_events_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Past Events', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row_content" parallax="content-moving" parallax_image="1389" overlay_dotted=""][vc_column css=".vc_custom_1501576083156{padding-top: 0px !important;padding-right: 0px !important;padding-left: 0px !important;}"][livesay_parallax_videos video_link="https://player.vimeo.com/video/200568636?autoplay=1&amp;title=0&amp;byline=0" video_height="570"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500896055904{margin-top: 40px !important;}"][vc_column][livesay_section_title section_title="Web ux/ui Conference. 7 November 2016." title_color="#222222" title_size="22px" sub_title_color="#222222" sub_title_size="18px" css=".vc_custom_1501065733868{padding-bottom: 10px !important;}"][vc_custom_heading text="Objectively innovate empowered manufactured products whereas platforms. Holisticly
predominate testing procedures." font_container="tag:h2|font_size:18px|text_align:center|color:%23222222|line_height:26px" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:300%20light%20regular%3A300%3Anormal"][vc_column_text css=".vc_custom_1501164296098{padding-right: 125px !important;padding-left: 125px !important;}"]
<p style="text-align: center;">On the other hand, we denounce with righteous indignation and dislike men who are so beguiled and demoralized by the charms of pleasure of the moment, so blinded by desire, that they cannot foresee the pain and trouble that are bound to ensue and equal blame belongs to those who fail in their duty through weakness of will, which is the same.</p>
<p style="text-align: center;">As saying through shrinking from toil and pain. These cases are perfectly simple and easy to distinguish. In free hour when our power of choice is untrammelled and when nothing prevents our being able to do what we like best, every pleasure is to be welcomed and every pain avoided. But in certain circumstances and owing to the claims of duty or the obligations of business it will frequently and annoyances accepted.</p>
[/vc_column_text][/vc_column][/vc_row][vc_row content_placement="middle" overlay_dotted="" el_class="text-center"][vc_column][vc_column_text css=".vc_custom_1501479100064{margin-bottom: 0px !important;}"][vt_button btn_txt="Know More" btn_link="http://victorthemes.com/themes/livesay/event/technology-and-web-conferece-2016/" btn_bg_color="#f30c74" btn_bg_hover_color="#db0a68" btn_border_color="#f30c74" btn_border_hover_color="#f30c74" btn_txt_color="#ffffff" txt_hover_color="#ffffff" txt_size="14px"][/vc_column_text][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500897128385{padding-bottom: 100px !important;}"][vc_column][livesay_past_event_videos title="PAST EVENTS VIDEOS" past_event_videos_items="%5B%7B%22featured_img%22%3A%22161%22%2C%22video_link%22%3A%22https%3A%2F%2Fplayer.vimeo.com%2Fvideo%2F200568636%3Fautoplay%3D1%26title%3D0%26byline%3D0%22%7D%2C%7B%22featured_img%22%3A%22161%22%2C%22video_link%22%3A%22https%3A%2F%2Fplayer.vimeo.com%2Fvideo%2F200568636%3Fautoplay%3D1%26title%3D0%26byline%3D0%22%7D%2C%7B%22featured_img%22%3A%22161%22%2C%22video_link%22%3A%22https%3A%2F%2Fplayer.vimeo.com%2Fvideo%2F200568636%3Fautoplay%3D1%26title%3D0%26byline%3D0%22%7D%2C%7B%22featured_img%22%3A%22161%22%2C%22video_link%22%3A%22https%3A%2F%2Fplayer.vimeo.com%2Fvideo%2F200568636%3Fautoplay%3D1%26title%3D0%26byline%3D0%22%7D%2C%7B%22featured_img%22%3A%22161%22%2C%22video_link%22%3A%22https%3A%2F%2Fplayer.vimeo.com%2Fvideo%2F200568636%3Fautoplay%3D1%26title%3D0%26byline%3D0%22%7D%2C%7B%22featured_img%22%3A%22161%22%2C%22video_link%22%3A%22https%3A%2F%2Fplayer.vimeo.com%2Fvideo%2F200568636%3Fautoplay%3D1%26title%3D0%26byline%3D0%22%7D%5D" check_more_txt="CHECK MORE VIDEOS" check_more_link="#0"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" overlay_dotted="" css=".vc_custom_1500897165471{padding-top: 0px !important;background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background1.png?id=367) !important;}"][vc_column width="1/2" css=".vc_custom_1500897395762{padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][lvsy_event_info event_info_title="DESIGN THINKING,
EXPERIENCES OF CENTER"]On the other hand, we denounce with righteous indignation and dislike men who are so beguiled and demoralized by the charms of pleasure of the moment, so blinded by desire, that they cannot foresee the pain and trouble that are bound to ensue

And equal blame belongs to those who fail in their duty through weakness of will, which is the same as saying through shrinking from toil and pain.
[vt_download_button download_txt="Download pdf file" download_icon="fa fa-file-pdf-o" download_link="#0" icon_size="18px" text_size="13" bg_color="#f30c74" icon_color="#ffffff" border_color="#f30c74" txt_color="#ffffff"][vt_download_button download_txt="Download pp file" download_icon="fa fa-file-pdf-o" download_link="#0" icon_size="18px" text_size="13" bg_color="#f30c74" icon_color="#ffffff" border_color="#f30c74" txt_color="#ffffff"][/lvsy_event_info][/vc_column][vc_column width="1/2" css=".vc_custom_1500897151089{padding-top: 0px !important;}"][livesay_gallery livesay_gallery_items="%5B%7B%22gallery_img%22%3A%22221%22%7D%2C%7B%22gallery_img%22%3A%22221%22%7D%2C%7B%22gallery_img%22%3A%22221%22%7D%5D" slick_nav="true" carousel_autoplay="true" carousel_autoplay_timeout="2000"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" overlay_dotted="" css=".vc_custom_1501159382712{padding-top: 60px !important;padding-bottom: 100px !important;}"][vc_column][livesay_templates select_template="Past Event"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" overlay_dotted="" css=".vc_custom_1501066524328{padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;background-image: url(http://victorthemes.com/themes/livesay/wp-content/uploads/2017/07/background1.png?id=367) !important;}"][vc_column][livesay_section_title section_title="Keynote Speakers" title_color="#ffffff" css=".vc_custom_1501164624404{padding-top: 25px !important;padding-bottom: 47px !important;}"][livesay_speaker speaker_style="style_two" speaker_column="col-md-3 col-sm-6" speaker_limit="4" speaker_pagination="" speaker_social_icon="true"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500897920436{padding-top: 60px !important;}"][vc_column][livesay_section_title section_title="Conference Sponsors" section_sub_title="Backbone for our responsible events become successful event"][vc_row_inner css=".vc_custom_1501066958771{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="PLATINUM SPONSORS" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1501066968450{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="GOLDEN SPONSORS" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1501066979122{padding-bottom: 20px !important;}"][vc_column_inner][livesay_sponsors sponsor_title="SILVER SPONSORS" logo_items="%5B%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%2C%7B%22sponsor_logo%22%3A%221922%22%7D%5D"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Speakers */
if( ! function_exists( 'speakers_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'speakers_page_template' );
  function speakers_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Speakers', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row" overlay_dotted=""][vc_column][livesay_section_title section_title="Keynote Speakers" section_sub_title="We are bringing the finest industry experts to speak"][livesay_speaker speaker_column="col-md-3 col-sm-6" speaker_limit="8" speaker_pagination="" speaker_social_icon="true"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Sponsors */
if( ! function_exists( 'sponsors_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'sponsors_page_template' );
  function sponsors_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Sponsors', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1500899970367{padding-top: 0px !important;padding-bottom: 0px !important;}"][vc_column][vc_custom_heading text="PLATINUM SPONSORS" font_container="tag:h2|font_size:18px|text_align:center|color:%23222222|line_height:26px" google_fonts="font_family:Ubuntu%3A300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic|font_style:500%20bold%20regular%3A500%3Anormal"][livesay_sponsor sponsor_limit="3" sponsor_show_category="platinum-sponsors" short_content="95" sponsor_pagination="" content_size="15"][vc_custom_heading text="GOLDEN SPONSORS" font_container="tag:h2|font_size:18px|text_align:center|color:%23222222|line_height:26px" google_fonts="font_family:Ubuntu%3A300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic|font_style:500%20bold%20regular%3A500%3Anormal"][livesay_sponsor sponsor_column="col-md-3 col-sm-6" sponsor_limit="4" sponsor_show_category="golden-sponsors" short_content="75" sponsor_pagination=""][vc_custom_heading text="SILVER SPONSORS" font_container="tag:h2|font_size:18px|text_align:center|color:%23222222|line_height:26px" google_fonts="font_family:Ubuntu%3A300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic|font_style:500%20bold%20regular%3A500%3Anormal"][livesay_sponsor sponsor_column="one-fifth" sponsor_limit="5" sponsor_show_category=" silver-sponsors" sponsor_pagination=""][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Example Page Template */
if( ! function_exists( 'livesay_vc_example_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'livesay_vc_example_page_template' );
  function livesay_vc_example_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Example Page Template', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Venues */
if( ! function_exists( 'venues_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'venues_page_template' );
  function venues_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Venues', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1501163293802{padding-top: 0px !important;padding-bottom: 18px !important;}"][vc_column css=".vc_custom_1500893999118{padding-top: 0px !important;}"][livesay_section_title section_title="Accomodation Info" section_sub_title="We provide accommodation with perfection." css=".vc_custom_1501163182642{padding-bottom: 15px !important;}"][livesay_accommodation accommodation_items="%5B%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22Gentle%20Veil%20Hotel%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%201%3A00%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20300%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fhoteldrisco.com%2F%3Fgclid%3DEAIaIQobChMIodOlndWr1QIVyol-Ch0hcQ4TEAAYAiAAEgKzufD_BwE%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22Cotton%20House%20Hotel%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%200.50%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%20%3A%20150%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22https%3A%2F%2Fwww.omnihotels.com%2Fhotels%2Fsan-francisco%22%7D%2C%7B%22accommodation_img%22%3A%22204%22%2C%22accommodation_title%22%3A%22Hotel%20Gresham%20Palace%22%2C%22accommodation_venue_txt%22%3A%22Distance%20to%20venue%3A%201.00%20km%22%2C%22accommodation_rate_text%22%3A%22Room%20Rate%3A%20200%24%20%2F%20per%20day%22%2C%22website_txt%22%3A%22View%20Website%22%2C%22website_link%22%3A%22http%3A%2F%2Fwww.harborcourthotel.com%2F%3Fgclid%3DCMDmhKLVq9UCFRMEaAod7HQGbg%22%7D%5D"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1500629847990{background-color: #f4f4f4 !important;}"][vc_column][livesay_section_title section_title="Conference Facilities" css=".vc_custom_1501163386057{padding-top: 60px !important;padding-bottom: 30px !important;}"][vc_row_inner][vc_column_inner width="1/4" css=".vc_custom_1500894378674{padding-top: 0px !important;}"][lvsy_facility open_link="true" facility_image="640" facility_title="FREE WIFI CONFERENCE HALL" facility_title_link="http://victorthemes.com/themes/livesay/event/2018-annul-conferenceinspired-ux-design/" title_size="13PX"][/vc_column_inner][vc_column_inner width="1/4"][lvsy_facility open_link="true" facility_image="640" facility_title="FREE LUNCH &amp; COFFEE" facility_title_link="http://victorthemes.com/themes/livesay/event/2018-annul-conferenceinspired-ux-design/" title_size="13PX"][/vc_column_inner][vc_column_inner width="1/4"][lvsy_facility open_link="true" facility_image="640" facility_title="FREE WIFI CONFERENCE HALL" facility_title_link="http://victorthemes.com/themes/livesay/event/technology-and-web-conferece-2017/" title_size="13PX"][/vc_column_inner][vc_column_inner width="1/4"][lvsy_facility open_link="true" facility_image="640" facility_title="FREE LUNCH &amp; COFFEE" facility_title_link="http://victorthemes.com/themes/livesay/event/innovative-with-experience-tech-2017/" title_size="13PX"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1502178090979{padding-top: 65px !important;padding-bottom: 80px !important;}"][vc_column][lvsy_gmap gmap_api="AIzaSyAaZs_RUszj6yVVvZeghtqnnfyETItwb0U" gmap_type="ROADMAP" gmap_style="gray-scale" gmap_height="450px" gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%22latitude%22%3A%2240.712784%22%2C%22longitude%22%3A%22%20-74.005941%22%7D%5D"][/vc_column][/vc_row][vc_row][vc_column][livesay_templates select_template="Travel Info"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Blog Single */
if( ! function_exists( 'post_single_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'post_single_page_template' );
  function post_single_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Blog Single', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][vc_column_text]Leverage agile frameworks to provide a robust synopsis for high level overviews. Iterative approaches to corporate strategy foster collaborative thinking to further the overall value proposition. Organically grow the holistic world view of disruptive innovation via workplace diversity and empowerment.Bring to the table win-win survival strategies to ensure proactive domination. At the end of the day, going forward, a new normal that has evolved from generation X is on the runway heading towards a streamlined cloud solution. User generated content in real-time will have multiple touchpoints for offshoring.apitalize on low hanging fruit to identify a ballpark value added activity to beta test. Override the digital divide with additional clickthroughs from DevOps.

[vt_blockquote text_size="15" left_color="#f30c74"]Learn to get in touch with the silence within yourself, and know that everything in life has purpose. There are no mistakes, no coincidences, all events are blessings given to us to learn from.Every man's life on earth plants something in his soul.[/vt_blockquote]

Podcasting operational change management inside of workflows to establish a framework. Taking seamless key performance indicators offline to maximise the long tail. Keeping your eye on the ball while performing a deep dive on the start-up mentality to derive convergence on cross-platform integration.Collaboratively administrate empowered markets via plug-and-play networks. Dynamically procrastinate installed base benefits.

Efficiently unleash cross-media information without cross-media value. Quickly maximize timely deliverables for real-time schemas. Dramatically maintain clicks-and-mortar solutions without functional solutions.Completely synergize resource taxing relationships via premier niche markets.[/vc_column_text][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home One Schedule */
if( ! function_exists( 'home_one_schedule_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_one_schedule_page_template' );
  function home_one_schedule_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Home One Schedule', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][livesay_section_title section_title="Our Event Schedule" section_sub_title="Our schedule can be hectic, so we are always trying to find time to see all peoples"][vc_tabs tab_style="style-one"][vc_tab title="1<sup>st</sup> Day" tab_id="1499925322-1-6"][livesay_schedule schedule_items="%5B%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22topic_speaker%22%3A%22Gilbert%20Mckay%22%2C%22speaker_designation%22%3A%22-%20Motivational%20Speaker%22%2C%22topic_content%22%3A%22Do%20you%20feel%20that%20your%20current%20website%20needs%20to%20be%20upgraded%20as%20compared%20to%20the%20This%20competition%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Bainbridge%2C%20Island%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%2211.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Conference%20Hall%22%2C%22place%22%3A%227%22%2C%22topic_title%22%3A%22Business%20Giant%22%2C%22topic_speaker%22%3A%22Robert%20Rane%22%2C%22speaker_designation%22%3A%22-%20Passionate%20Speaker%22%2C%22topic_content%22%3A%22%20Then%20do%20not%20wait%20and%20choose%20the%20best%20conference%20and%20festive's%20services%20that%20can%20give%20you%20a%20compelling%20yet%20credible%20site.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Chris%20Adams%22%2C%22author_time%22%3A%223.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22%20Canvar%20Tower%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conversation%20about%20Topic%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Venue%20operators%20up%20and%20down%20the%20country%20have%20something%20of%20an%20image%20problem%20within%20the%20industry%2C%20I%20believe.%20%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%223%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Los%20Vegas%2C%20USA%22%7D%5D"][/vc_tab][vc_tab title="2<sup>nd</sup> Day" tab_id="1499925322-2-91"][livesay_schedule schedule_items="%5B%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%228.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Conference%22%2C%22place%22%3A%227%22%2C%22topic_title%22%3A%22Innovative%22%2C%22topic_content%22%3A%22This%20one%20day%20conference%20for%20event%20planners%20is%20designed%20to%20introduce%20attendees%20to%20event%20planning.%22%7D%2C%7B%22author_name%22%3A%22Will%20Turner%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%224%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22topic_speaker%22%3A%22Rick%20Grimes%22%2C%22speaker_designation%22%3A%22-%20Entrepreneur%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%223.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Reviews%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Business%20Techs%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22The%20net%20result%20is%20that%20venues%20now%20seem%20far%20more%20comfortable%20having%20what%20could%20have%20been%20a%20very%20awkward%20conversation%20just%20a%20few%20years%20ago.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%223%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tab][vc_tab title="3<sup>rd</sup> Day" tab_id="1499925322-3-83"][livesay_schedule schedule_items="%5B%7B%22author_name%22%3A%22Lisa%20Amaira%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Tech%20Gorom%22%2C%22place%22%3A%221%22%2C%22topic_title%22%3A%22Registration%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Accara%20belentra%2C%20USA%22%7D%2C%7B%22author_name%22%3A%22Will%20Turner%22%2C%22author_time%22%3A%226.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Tech%20Smart%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Tech%20Knowledge%22%2C%22topic_speaker%22%3A%22James%20Naarington%22%2C%22speaker_designation%22%3A%22-%20CEO%2C%20Dutchtech%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%223%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2CNew%20Jersey%22%7D%2C%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%228.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Redel%20Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Reviews%20from%20Audience%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22The%20other%20interesting%20point%20about%20the%20research%20which%20some%20venues%20are%20undertaking%20more%20frequently%20is%20how%20it%20can%20be%20turned%20to%20organisers%E2%80%99%20advantage.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tab][/vc_tabs][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home Two Schedule */
if( ! function_exists( 'home_two_schedule_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_two_schedule_page_template' );
  function home_two_schedule_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Two Schedule', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1500452670962{margin-bottom: 80px !important;}"][vc_column][livesay_section_title section_title="Our Event Schedule" section_sub_title="Our schedule can be hectic, so we are always trying to find time to see all peoples"][vc_tabs][vc_tab title="1<sup>st</sup> Day" tab_id="1500024860-1-34"][livesay_schedule schedule_items="%5B%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Business%22%2C%22topic_speaker%22%3A%22Chris%20Adams%22%2C%22speaker_designation%22%3A%22-%20Motivation's%22%2C%22topic_content%22%3A%22Conference%20is%20tailored%20towards%20professional%20caterers%2C%20although%20many%20event%20professionals%20titles%20attend%20as%20well.%20%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Orange%20County%20Center%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22DARYL%20DIXON%22%2C%22author_time%22%3A%2211%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22WELCOME%20SPEECH%20OF%20UX%20CONF%202016%22%2C%22topic_speaker%22%3A%22Lisa%20Amaira%22%2C%22speaker_designation%22%3A%22-%20Technology%20%26%20inspire%22%2C%22topic_content%22%3A%22Three-day%20conference%20focused%20on%20music%20and%20technology.%20This%20%20Event%20inconspicuously%20simple%20but%20downright%20beautiful.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%223%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Chris%20Ames%22%2C%22author_time%22%3A%223.30%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Concert%20Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22WELCOME%20SPEECH%20OF%20UX%20CONF%202017%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Capacity%20Europe%20is%20aimed%20at%20senior%20and%20good%20decision%20makers%20in%20the%20telecommunications%20industry.%20%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20HOURS%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Adelaide%20Convention%20Center%2C%20Australia%22%7D%5D"][/vc_tab][vc_tab title="2<sup>nd</sup>Day" tab_id="1500024860-2-34"][livesay_schedule schedule_items="%5B%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%223%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Vancouver%20Convention%20Center%2C%20Canada%22%7D%2C%7B%22author_name%22%3A%22Chris%20Ames%22%2C%22author_time%22%3A%221%3A00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Street%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22WELCOME%20SPEECH%20OF%20UX%20CONF%202017%22%2C%22topic_speaker%22%3A%22Johnny%20Dep%22%2C%22speaker_designation%22%3A%22-%20CEO%2C%20Black%20Pearl%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%227.30%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22WELCOME%20SPEECH%22%2C%22topic_speaker%22%3A%22Elizebeth%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Formal%20meeting%20of%20people%20with%20a%20shared%20interest%2C%20typically%20one%20that%20takes%20place%20over%20several%20days.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%224%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tab][vc_tab title="3<sup>rd</sup> Day" tab_id="1500024860-3-70"][livesay_schedule schedule_items="%5B%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Concert%20Hall%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Tech%20Grooming%22%2C%22topic_content%22%3A%22An%20expo%20that%20allows%20top%20flight%20meeting%20planners%20throughout%20the%20world%20to%20engage%20and%20network%20with%20their%20peers%20and%20with%20suppliers.%20%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22%20International%20Convention%20and%20Exhibition%20Center%20(DICEC)%2C%20USA%22%7D%2C%7B%22author_name%22%3A%22DARYL%20DIXON%22%2C%22author_time%22%3A%2211.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Street%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Speech%20About%20Topic%22%2C%22topic_content%22%3A%22International%20Confex%20is%20a%20conference%20designed%20to%20bring%20together%20event%20organizers%20while%20providing%20them%20with%20a%20bevy%20of%20venues%2C%20destinations%2C%20and%20event%20support%20services.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Chris%20Ames%22%2C%22author_time%22%3A%224.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22%20%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Reviews%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22This%20event%20is%20specifically%20designed%20for%20event%20professionals%20in%20the%20wedding%20planning%20industry.%20The%20event%20will%20feature%20speakers%20Kristin%20Kaplan%2C%20Julie%20Anne%20Neill%2C%20and%20Akeem%20Clayton%2C%20and%20is%20intended%20to%20be%20an%20interactive%20workshop%20that%20provides%20plenty%20of%20actionable%20takeaways.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%226%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Vancouver%20Convention%20Centre%22%7D%5D"][/vc_tab][/vc_tabs][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home Three Schedule */
if( ! function_exists( 'home_three_schedule_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_three_schedule_page_template' );
  function home_three_schedule_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Three Schedule', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1501055183031{padding-top: 60px !important;padding-bottom: 80px !important;}"][vc_column][livesay_section_title section_title="Our Evrnt Schedule" section_sub_title="Our schedule can be hectic, so we are always trying to find time to see all peoples."][vc_tabs tab_style="style-two"][vc_tab title="1<sup>st</sup> day" tab_id="1500024860-1-34"][vc_tta_tabs color="white" spacing="" active_section="1" el_class="lvsy-tab-three"][vc_tta_section title="Auditorium 1" tab_id="1501251662579-a9dd914e-fa9d"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Orange%20County%20Convention%20Center%2C%20Orlando%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%2210%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%20Conference%20In%202017%22%2C%22topic_speaker%22%3A%22Will%20Turner%22%2C%22speaker_designation%22%3A%22%20-%20Global%20Entertainment%20Speaker%22%2C%22topic_content%22%3A%22When%20it%20comes%20to%20sessions%2C%20cover%20a%20mix%20of%20topics%20that%20relate%20loosely%20to%20each%20other%2C%20allowing%20the%20audience%20As%20the%20event%20Speakers%2C%20working%20with%20his%20team%20before%20the%20event%20was%20not%20only%20smooth%20but%20fun.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%221.15%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conference%20Speech%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22You%20will%20have%20the%20opportunity%20to%20hear%20from%20over%20two%20dozen%20event%20professionals%2C%20all%20of%20whom%20provide%20a%20unique%20perspective.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Ben%20Affelex%22%2C%22author_time%22%3A%224%3A00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Using%20Social%20Media%20To%20Increase%20The%20sale%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22%20Music%20Album-Version%20018%22%2C%22topic_speaker%22%3A%22Ben%20Affeleck%22%2C%22speaker_designation%22%3A%22-%20Social%20Architech%22%2C%22duration_icon%22%3A%22fa%20fa-industry%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-leanpub%22%2C%22topic_location%22%3A%22Orange%20County%20Convention%20Center%2C%20Orlando%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22Will%20Turner%22%2C%22author_time%22%3A%226.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Rose%20Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conference%20And%20Designing%20Speech%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22When%20it%20comes%20to%20sessions%2C%20cover%20a%20mix%20of%20topics%20that%20relate%20loosely%20to%20each%20other%2C%20allowing%20the%20audience.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 2" tab_id="1500034786439-b06e7851-5a4f"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Clint%20Eastwood%22%2C%22author_time%22%3A%229.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22topic_content%22%3A%22Workshop%20is%20presented%20by%20wedding%20planning%20professionals%2C%20it%20is%20actually%20advertised%20as%20a%20great%20option%20for%20any%20event%20professional%20looking%20to%20potentially%20add%20to%20their%20staff%20and%20grow%20their%20business.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Orange%20County%20Convention%20Center%2C%20Orlando%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22Chris%20Ames%22%2C%22author_time%22%3A%2210%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Honoring%20Guests%22%2C%22topic_speaker%22%3A%22Chris%20Jacob%22%2C%22speaker_designation%22%3A%22Journalist%2C%20The%20Week%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22John%20Abraham%22%2C%22author_time%22%3A%2211.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conference%20Speech%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22You%20will%20have%20the%20opportunity%20to%20hear%20from%20over%20two%20dozen%20event%20professionals%2C%20all%20of%20whom%20provide%20a%20unique%20perspective%20on%20how%20you%20can%20bring%20more%20creativity%20to%20your%20events%20to%20better%20inspire%20attendees.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 3" tab_id="1500035614586-db667bc7-423a"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Orange%20County%20Convention%20Center%2C%20Orlando%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%221.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conference%20Speech%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22You%20will%20have%20the%20opportunity%20to%20hear%20from%20over%20two%20dozen%20event%20professionals%2C%20all%20of%20whom%20provide%20a%20unique%20perspective%20on%20how%20you%20can%20bring%20more%20creativity%20to%20your%20events%20to%20better%20inspire%20attendees.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][/vc_tta_tabs][/vc_tab][vc_tab title="2<sup>nd</sup> Day" tab_id="1500024860-2-34"][vc_tta_tabs color="white" spacing="" active_section="1" el_class="lvsy-tab-three"][vc_tta_section title="Auditorium 1" tab_id="1501251687973-011f5d8c-3333"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Chris%20martin%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Adelaide%20Convention%20Center%2C%20Australia%22%7D%2C%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%2210%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22topic_link%22%3A%22http%3A%2F%2F%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%2C%22topic_location_link%22%3A%22http%3A%2F%2F%22%7D%2C%7B%22author_name%22%3A%22Dany%20Boil%22%2C%22author_time%22%3A%221.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Concept%20Reviews%22%2C%22topic_link%22%3A%22http%3A%2F%2F%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Cloud%20Tech%20Solution%22%2C%22topic_content%22%3A%22Standing%20for%20the%20Women%E2%80%99s%20Empowerment%20Network%2C%20brings%20you%20just%20that%2C%20an%20empowering%20and%20inspiring%20opportunity%20to%20hear%20from%20nationally%20recognized%20leaders%20and%20progressive%20panelists.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%226%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%2C%22topic_location_link%22%3A%22http%3A%2F%2F%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 2" tab_id="1501251687999-f8906578-9e3a"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Clint%20Eastwood%22%2C%22author_time%22%3A%229.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22topic_content%22%3A%22Workshop%20is%20presented%20by%20wedding%20planning%20professionals%2C%20it%20is%20actually%20advertised%20as%20a%20great%20option%20for%20any%20event%20professional%20looking%20to%20potentially%20add%20to%20their%20staff%20and%20grow%20their%20business.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Orange%20County%20Convention%20Center%2C%20Orlando%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22Chris%20Ames%22%2C%22author_time%22%3A%2210%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Honoring%20Guests%22%2C%22topic_speaker%22%3A%22Chris%20Jacob%22%2C%22speaker_designation%22%3A%22Journalist%2C%20The%20Week%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22John%20Abraham%22%2C%22author_time%22%3A%2211.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conference%20Speech%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22You%20will%20have%20the%20opportunity%20to%20hear%20from%20over%20two%20dozen%20event%20professionals%2C%20all%20of%20whom%20provide%20a%20unique%20perspective%20on%20how%20you%20can%20bring%20more%20creativity%20to%20your%20events%20to%20better%20inspire%20attendees.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 3" tab_id="1501251688029-ddd2a91b-c335"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Orange%20County%20Convention%20Center%2C%20Orlando%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%221.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conference%20Speech%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22You%20will%20have%20the%20opportunity%20to%20hear%20from%20over%20two%20dozen%20event%20professionals%2C%20all%20of%20whom%20provide%20a%20unique%20perspective%20on%20how%20you%20can%20bring%20more%20creativity%20to%20your%20events%20to%20better%20inspire%20attendees.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][/vc_tta_tabs][/vc_tab][vc_tab title="3<sup>rd</sup> day" tab_id="1500024860-3-70"][vc_tta_tabs color="white" spacing="" active_section="1" el_class="lvsy-tab-three"][vc_tta_section title="Auditorium 1" tab_id="1501251683055-ed2dcc5b-094f"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Chris%20Mann%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Reception%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Vancouver%20Convention%20Center%22%7D%2C%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22topic_link%22%3A%22http%3A%2F%2F%22%2C%22topic_speaker%22%3A%22James%20Anderson%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%2C%22topic_location_link%22%3A%22http%3A%2F%2F%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%222%3A00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Lunch%22%2C%22topic_link%22%3A%22http%3A%2F%2F%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%2C%22topic_location_link%22%3A%22http%3A%2F%2F%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 2" tab_id="1501251683068-90de5e42-e3d8"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Clint%20Eastwood%22%2C%22author_time%22%3A%229.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22topic_content%22%3A%22Workshop%20is%20presented%20by%20wedding%20planning%20professionals%2C%20it%20is%20actually%20advertised%20as%20a%20great%20option%20for%20any%20event%20professional%20looking%20to%20potentially%20add%20to%20their%20staff%20and%20grow%20their%20business.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Orange%20County%20Convention%20Center%2C%20Orlando%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22Chris%20Ames%22%2C%22author_time%22%3A%2210%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Honoring%20Guests%22%2C%22topic_speaker%22%3A%22Chris%20Jacob%22%2C%22speaker_designation%22%3A%22Journalist%2C%20The%20Week%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22John%20Abraham%22%2C%22author_time%22%3A%2211.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conference%20Speech%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22You%20will%20have%20the%20opportunity%20to%20hear%20from%20over%20two%20dozen%20event%20professionals%2C%20all%20of%20whom%20provide%20a%20unique%20perspective%20on%20how%20you%20can%20bring%20more%20creativity%20to%20your%20events%20to%20better%20inspire%20attendees.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 3" tab_id="1501251683086-43e5aff3-b18b"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Orange%20County%20Convention%20Center%2C%20Orlando%2C%20Florida%2C%20USA%20%22%7D%2C%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%221.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Conference%20Speech%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22You%20will%20have%20the%20opportunity%20to%20hear%20from%20over%20two%20dozen%20event%20professionals%2C%20all%20of%20whom%20provide%20a%20unique%20perspective%20on%20how%20you%20can%20bring%20more%20creativity%20to%20your%20events%20to%20better%20inspire%20attendees.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][/vc_tta_tabs][/vc_tab][/vc_tabs][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Travel Info Template */
if( ! function_exists( 'travel_info_template' ) ) {

  add_filter( 'vc_load_default_templates', 'travel_info_template' );
  function travel_info_template($data) {
    $template               = array();
    $template['name']       = __( 'Travel Info Template', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1500894682696{margin-bottom: 0px !important;}"][vc_column][livesay_section_title section_title="Get Travel Info" section_sub_title="Fill the form below to get directions to our event location"][/vc_column][/vc_row][vc_row][vc_column width="1/2"][lvsy_travel_direction start_txt="Direction From: " end_txt="Via ( Optional )"][/vc_column][vc_column width="1/2"][vc_tabs tab_style="style-four"][vc_tab title="Car" tab_id="1499950566-1-39"][lvsy_travel open_link="true" travel_icon="fa fa-car" travel_title="Broadway &amp; Structures" travel_title_link="http://victorthemes.com/themes/livesay/venues/" travel_sub_title="Fastest route, the usual traffic" travel_time="8 " travel_time_in=" hrs" travel_distance="100 " travel_distance_in="kms" view_more="view more" view_more_link="http://victorthemes.com/themes/livesay/venues/"][/vc_tab][vc_tab title="Bus" tab_id="1499950566-2-74"][lvsy_travel open_link="true" travel_icon="fa fa-bus" travel_title=" Scheduled Bus Transport" travel_title_link="http://victorthemes.com/themes/livesay/venues/" travel_sub_title="Longer-distance services, The Light traffic" travel_time="12 " travel_time_in=" hrs" travel_distance="250 " travel_distance_in=" kms" view_more="view more" view_more_link="http://victorthemes.com/themes/livesay/venues/"][/vc_tab][vc_tab title="Train" tab_id="1499950566-3-51"][lvsy_travel open_link="true" travel_icon="fa fa-subway" travel_title="Underground (Metro)" travel_title_link="http://victorthemes.com/themes/livesay/venues/" travel_sub_title="Inspectorate for Transport" travel_time="1 " travel_time_in=" day" travel_distance="1500 " travel_distance_in="kms" view_more="view more" view_more_link="http://victorthemes.com/themes/livesay/venues/"][/vc_tab][vc_tab title="Plane" tab_id="1500295974132-3-6"][lvsy_travel open_link="true" travel_icon="fa fa-plane" travel_title="Cargo Aircraft &amp; Passengers" travel_title_link="http://victorthemes.com/themes/livesay/venues/" travel_sub_title="Smooth route, The Fast Transport" travel_time="6 " travel_time_in=" hrs" travel_distance="2500 " travel_distance_in="kms" view_more="view more" view_more_link="http://victorthemes.com/themes/livesay/venues/"][/vc_tab][vc_tab title="Cycling" tab_id="1500295999342-4-5"][lvsy_travel open_link="true" travel_icon="fa fa-bicycle" travel_title="Roadway &amp; Cycling" travel_title_link="http://victorthemes.com/themes/livesay/venues/" travel_sub_title="Normal route, the usual traffic" travel_time="3 " travel_time_in=" hrs" travel_distance="50 " travel_distance_in=" kms" view_more="view more" view_more_link="http://victorthemes.com/themes/livesay/venues/"][/vc_tab][vc_tab title="Walking" tab_id="1500296017206-5-4"][lvsy_travel open_link="true" travel_icon="fa fa-male" travel_title="Ground Walking " travel_title_link="http://victorthemes.com/themes/livesay/venues/" travel_sub_title="Fastest route, Health Care" travel_time="4 " travel_time_in=" hrs" travel_distance="2.5 " travel_distance_in="kms" view_more="view more" view_more_link="http://victorthemes.com/themes/livesay/venues/"][/vc_tab][/vc_tabs][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Speaker Schedule Template */
if( ! function_exists( 'speaker_schedule_template' ) ) {

  add_filter( 'vc_load_default_templates', 'speaker_schedule_template' );
  function speaker_schedule_template($data) {
    $template               = array();
    $template['name']       = __( 'Speaker Schedule Template', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1500879115380{padding-top: 0px !important;}"][vc_column][vc_tabs tab_style="style-two"][vc_tab title="1<sup>st</sup> day" tab_id="1500623264445-3-5"][vc_tta_tabs color="white" spacing="" active_section="1" el_class="lvsy-tab-three"][vc_tta_section title="Auditorium 1" tab_id="1500623264687-7dfa0a4f-e1a7"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Chris%20Mann%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%7D%2C%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%2210.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Party%20Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Review%20about%20event%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22-%20Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22The%20ITxpo%20is%20centered%20around%20CIO%E2%80%98s%20and%20senior%20IT%20leadership%20to%20provide%20them%20actionable%20advice%20and%20direction%20that%20drives%20digital%20technologies%20into%20your%20businesses%20products%2C%20processes%20and%20people.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%222.00%22%2C%22time_in%22%3A%22pm%22%2C%22topic_title%22%3A%22Using%20Social%20Media%20To%20Increase%20The%20Sales%22%2C%22topic_speaker%22%3A%22Ben%20Affleck%22%2C%22speaker_designation%22%3A%22-%20Civic%20Celebrations%20Speaker%22%2C%22topic_content%22%3A%22The%20last%20entry%20on%20our%20list%20may%20not%20necessarily%20be%20a%20trained%20public%20speaker.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%7D%2C%7B%22author_name%22%3A%22Amaira%20dasthur%22%2C%22author_time%22%3A%225%3A00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Floor%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Seating%20Arrangements%22%7D%2C%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%228.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Final%20Explanations%22%2C%22topic_speaker%22%3A%22Jack%20Sparrow%22%2C%22speaker_designation%22%3A%22Industry%20Expert%20Speaker%22%2C%22topic_content%22%3A%22Guest%20speakers%20and%20keynotes%20are%20an%20integral%20aspect%20of%20just%20about%20any%20event%2C%20and%20their%20importance%20cannot%20be%20overstated.%20%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 2" tab_id="1500623264881-6f01e0ee-5d84"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22John%20Nathan%22%2C%22author_time%22%3A%224%3A00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Gathering%20for%20Meet%22%7D%2C%7B%22author_name%22%3A%22Steve%20Balmer%22%2C%22author_time%22%3A%227%3A00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Floor%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Introduction%20about%20concept%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Chris%20Adams%22%2C%22author_time%22%3A%229.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Cathdral%20Floor%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Review%20About%20Event%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Conference%20dolor%20sit%20amet%20consectetur%20adipisicing%20elit%2C%20seddo%20eiusmod%20tempor%20incidid%20untlabre%20et%20dolore%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 3" tab_id="1500623265100-be6a7834-976b"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Lisa%20Amaira%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22london%22%7D%2C%7B%22author_name%22%3A%22Chris%20Lin%22%2C%22author_time%22%3A%2210.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Introduction%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22topic_speaker%22%3A%22Kate%20Winslet%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%221.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Party%20Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Lunch%20Time%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Conference%20dolor%20sit%20amet%20consectetur%20adipisicing%20elit%2C%20seddo%20eiusmod%20tempor%20incidid%20untlabre%20et%20dolore%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Lisa%20Amaira%22%2C%22author_time%22%3A%223.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Concert%20Hall%22%2C%22place%22%3A%227%22%2C%22topic_title%22%3A%22Thoughts%20%26%20Reviews%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Eventful%20Enterprises%20presents%20the%20second%20annual%20gathering%20of%20the%20Eventful%20Forum%2C%20an%20executive%20conference%20dedicated%20to%20addressing%20the%20future%20of%20business%20through%20the%20world%E2%80%99s%20converging%20industrie%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%223%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][/vc_tta_tabs][/vc_tab][vc_tab title="2<sup>nd</sup> day" tab_id="1500024860-2-34"][vc_tta_tabs color="white" spacing="" active_section="1" el_class="lvsy-tab-three"][vc_tta_section title="Auditorium 1" tab_id="1500626211965-1dcda1b0-64f1"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22%20Jack%20Sparrow%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Introduction%22%2C%22topic_speaker%22%3A%22%20Jack%20Sparrow%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22London%22%7D%2C%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Event%20Gathering%22%7D%2C%7B%22author_name%22%3A%22Lisa%20Grey%22%2C%22author_time%22%3A%2210%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Topic%20%3A%20Technology%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%223%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Ben%20Affleck%22%2C%22author_time%22%3A%225.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Conquer%20Hall%22%2C%22place%22%3A%224%22%2C%22topic_title%22%3A%22Reviews%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Covering%20everything%20from%20Cloud%20to%20commerce%2C%20from%20social%20engagement%20to%20supply%20chain%20management%2C%20IT%20security%20to%20scalability%20concerns%2C%20and%20from%20big%20data%20to%20business%20analytics%20and%20so%20much%20more.%20%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 2" tab_id="1500626212134-797c16dd-1e04"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Chris%20Ames%22%2C%22author_time%22%3A%224%3A00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22%20Success%20Thoughts%22%2C%22topic_speaker%22%3A%22Kate%20Winslet%22%7D%2C%7B%22author_name%22%3A%22Adam%20Vogues%22%2C%22author_time%22%3A%2210.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Sensing%20the%20Business%22%2C%22topic_content%22%3A%22The%20little%20different%20than%20most%20in%20the%20sense.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%225%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Will%20Turner%22%2C%22author_time%22%3A%225.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Party%20Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Reviews%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22eTail%202017%20will%20provide%20the%20most%20cutting%20edge%20information%20for%20multi-channel%20and%20eCommerce.%20You%E2%80%99ll%20see%20electric%20keynotes%20while%20networking%20with%20your%20peers%20and%20the%20top%20minds%20at%20America's%20most%20successful%20retailers.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 3" tab_id="1500626212310-5c6eb775-5311"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Chris%20Woakes%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Speak%20at%20Events%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22landon%22%7D%2C%7B%22author_name%22%3A%22Lisa%20Amaira%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Adam%20David%22%2C%22author_time%22%3A%2211.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Event%20Starts%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Business%20Strategy%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22The%20Gartner%20Catalyst%20Conference%20is%20this%20years%20event%20for%20technical%20professionals.%20It's%20focuses%20on%20helping%20you%20to%20execute%20your%20organization%E2%80%99s%20key%20technology%20initiatives.%20%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Lisa%20Amaira%22%2C%22author_time%22%3A%221.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Lunch%22%2C%22place%22%3A%227%22%2C%22topic_title%22%3A%22Lunch%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22eTail%202017%20is%20designed%20to%20help%20you%20optimize%20the%20profits%20from%20your%20business%20by%20cutting%20out%20the%20fluff%20to%20give%20you%20hundreds%20of%20strategic%20takeaways.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%223.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Hall%22%2C%22place%22%3A%227%22%2C%22topic_title%22%3A%22Speech%20About%20Topic%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22TypeCon%20is%20presented%20each%20year%20by%20the%20Society%20of%20Typographic%20Aficionados%20(SOTA)%2C%20an%20international%20non-profit%20dedicated%20to%20the%20promotion%2C%20study%2C%20and%20support%20of%20typography%20and%20related%20arts.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][/vc_tta_tabs][/vc_tab][vc_tab title="3<sup>rd</sup> day" tab_id="1500024860-3-70"][vc_tta_tabs color="white" spacing="" active_section="1" el_class="lvsy-tab-three"][vc_tta_section title="Auditorium 1" tab_id="1500626280028-cdf24235-7a38"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Chris%20Lin%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Opportunities%22%7D%2C%7B%22author_name%22%3A%22Daryl%20Dixon%22%2C%22author_time%22%3A%229.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Opportunities%20For%20Registration%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%2210%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22topic_content%22%3A%22%5CtBilled%20as%20the%20%E2%80%9CSummer%20Camp%20for%20Geeks%E2%80%9D%2C%20%E2%80%9CThat%20Conference%202017%E2%80%9D%20is%20being%20hosted%20at%20the%20Kalahari%20Resort%20and%20water%20park%20located%20in%20beautiful%20Wisconsin%20Dells%2C%20Wisconsin.%20This%20family%20friendly%2C%20family%20focused%20conference%20covers%20it%20all%2C%20from%20the%20internet%20of%20things.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22DARYL%20DIXON'S%22%2C%22author_time%22%3A%2212.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22%20OF%20UX%20CONF%202016%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Event%20Conversation%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22eTail%202017%20will%20provide%20the%20most%20cutting%20edge%20information%20for%20multi-channel%20and%20eCommerce.%20You%E2%80%99ll%20see%20electric%20keynotes%20while%20networking%20with%20your%20peers.%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 2" tab_id="1500626280184-106fb062-f1a5"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%224%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22%20Opportunities%20events%22%7D%2C%7B%22author_name%22%3A%22Chris%20Adams%22%2C%22author_time%22%3A%229%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%202017%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Kate%20Winslet%22%2C%22author_time%22%3A%224.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Floor%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Opportunities%20events%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Conference%20dolor%20sit%20amet%20consectetur%20adipisicing%20elit%2C%20seddo%20eiusmod%20tempor%20incidid%20untlabre%20et%20dolore%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%226HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][vc_tta_section title="Auditorium 3" tab_id="1500626280353-df6001d5-5dd1"][livesay_schedule schedule_style="style_two" schedule_items="%5B%7B%22author_name%22%3A%22Lisa%20Amaira%22%2C%22author_time%22%3A%228%3A00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Room%22%2C%22place%22%3A%225%22%2C%22topic_title%22%3A%22Registration%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%221%20Hour%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22london%22%7D%2C%7B%22author_name%22%3A%22Chris%20Lin%22%2C%22author_time%22%3A%2210.00%22%2C%22time_in%22%3A%22am%22%2C%22place_title%22%3A%22Introduction%22%2C%22place%22%3A%223%22%2C%22topic_title%22%3A%22Welcome%20Speech%22%2C%22topic_speaker%22%3A%22Kate%20Winslet%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222Hours%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Jack%20Sparrow%22%2C%22author_time%22%3A%221.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Party%20Hall%22%2C%22place%22%3A%226%22%2C%22topic_title%22%3A%22Lunch%20Time%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Conference%20dolor%20sit%20amet%20consectetur%20adipisicing%20elit%2C%20seddo%20eiusmod%20tempor%20incidid%20untlabre%20et%20dolore%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%222%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%2C%7B%22author_name%22%3A%22Lisa%20Amaira%22%2C%22author_time%22%3A%223.00%22%2C%22time_in%22%3A%22pm%22%2C%22place_title%22%3A%22Concert%20Hall%22%2C%22place%22%3A%227%22%2C%22topic_title%22%3A%22Thoughts%20%26%20Reviews%22%2C%22topic_speaker%22%3A%22Stevan%20Smith%22%2C%22speaker_designation%22%3A%22Social%20Architects%2C%20inc.%22%2C%22topic_content%22%3A%22Eventful%20Enterprises%20presents%20the%20second%20annual%20gathering%20of%20the%20Eventful%20Forum%2C%20an%20executive%20conference%20dedicated%20to%20addressing%20the%20future%20of%20business%20through%20the%20world%E2%80%99s%20converging%20industrie%22%2C%22duration_icon%22%3A%22fa%20fa-clock-o%22%2C%22topic_duration%22%3A%223%20HOURSE%22%2C%22location_icon%22%3A%22fa%20fa-map-marker%22%2C%22topic_location%22%3A%22Convention%20Center%2C%20Hilton%20Hotel%22%7D%5D"][/vc_tta_section][/vc_tta_tabs][/vc_tab][/vc_tabs][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Speaker Single */
if( ! function_exists( 'speaker_single_template' ) ) {

  add_filter( 'vc_load_default_templates', 'speaker_single_template' );
  function speaker_single_template($data) {
    $template               = array();
    $template['name']       = __( 'Speaker Single', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][vc_custom_heading text="ALL SESSION BY BEN AFFLECK" font_container="tag:h2|font_size:20px|text_align:center|color:%23222222|line_height:28px" use_theme_fonts="yes" css=".vc_custom_1500880973327{padding-bottom: 35px !important;}"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1500879115380{padding-top: 0px !important;}"][vc_column][livesay_templates select_template="Speaker schedule"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Sponsors Single */
if( ! function_exists( 'sponsors_single_template' ) ) {

  add_filter( 'vc_load_default_templates', 'sponsors_single_template' );
  function sponsors_single_template($data) {
    $template               = array();
    $template['name']       = __( 'Sponsors Single', 'livesay-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][vc_column_text]As the world’s largest music and audio platform, SoundCloud lets people discover and enjoy the greatest selection of music from the most diverse creator community on earth. Since launching in 2008, the platform has become renowned for its unique content and features.

Including the ability to share music and connect directly with artists, as well as unearth breakthrough tracks, raw demos, podcasts and more. This is made possible by an open platform that directly connects creators and their fans across the globe. Music and audio creators use SoundCloud to both share and monetise their content with a global audience, as well as receive detailed stats and feedback from the SoundCloud community.[livesay_simple_text_link link_text="Contact Us" title_link="http://victorthemes.com/themes/livesay/contact-us/" target_tab="1" custom_class="cus"][/vc_column_text][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1499411404120{margin-right: 0px !important;margin-left: 0px !important;}"][vc_column css=".vc_custom_1499411170405{padding-right: 0px !important;padding-left: 0px !important;}"][vc_custom_heading text="ACCURAS ORGANIZED EVENTS" font_container="tag:h3|font_size:16|text_align:left" google_fonts="font_family:Ubuntu%3A300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic|font_style:700%20bold%20regular%3A700%3Anormal" css=".vc_custom_1502172577561{padding-bottom: 34px !important;}"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1499411414261{margin-right: 0px !important;margin-left: 0px !important;}"][vc_column width="1/3"][lvsy_image_link open_link="" simple_image="161" image_link="http://victorthemes.com/themes/livesay/event/2018-annul-conferenceinspired-ux-design/"][lvsy_image_link open_link="" simple_image="161" image_link="http://victorthemes.com/themes/livesay/event/business-fest-2017/"][/vc_column][vc_column width="1/3"][lvsy_image_link open_link="" simple_image="161" image_link="http://victorthemes.com/themes/livesay/event/smart-expo-2017/"][lvsy_image_link open_link="" simple_image="161" image_link="http://victorthemes.com/themes/livesay/event/innovative-with-experience-tech-2017/"][/vc_column][vc_column width="1/3"][lvsy_image_link open_link="" simple_image="161" image_link="http://victorthemes.com/themes/livesay/event/technology-and-web-conferece-2017/"][lvsy_image_link open_link="" simple_image="161" image_link="http://victorthemes.com/themes/livesay/event/2018-annul-conferenceinspired-ux-design/"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}
